std::ios_base::imbue(3)

NAME
std::ios_base::imbue - std::ios_base::imbue

Synopsis
   std::locale imbue( const std::locale& loc );
   Sets the associated locale of the stream to the given one. Before returning, each
   function, registered by register_callback() is called with imbue_event as a
   parameter.

Parameters
   loc - new locale to associate the stream to

Return value
   The locale object associated with the stream before the operation

Example
    This section is incomplete
    Reason: no example

See also
   getloc returns current locale
          (public member function)